Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.radiosity
Class HemiCube

    java.lang.Object
      de.grogra.ray2.radiosity.HemiCube

    public final class HemiCube

extends java.lang.Object

This class creates a hemicube and calculates the delta form factors.

Author:
  Ralf Kopsch

Constructor Summary
`HemiCube()`

Method Summary
`static float` | `getFormFactor(int side, int pixX, int pixY)` Returns the form factor for one hemicube pixel.
`static int` | `getPixelsWide()` Return the number of hemicube pixels.
`static float` | `getWorldWide()` Returns the hemicube size in world coordinates.
`static void` | `init(int cubeWidth)` Initializes the hemicube with the given cube width.
`static void` | `print()` Prints out the hemicube delta form factor for debugging.
`static void` | `setWorldWide(float worldWide)` Sets the hemicube size in world coordinates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HemiCube

    public HemiCube()

Method Detail

### getFormFactor

    public static float getFormFactor(int side,
                                      int pixX,
                                      int pixY)

  Returns the form factor for one hemicube pixel.

  Parameters:
    `side` - the cube side
    `pixX` - the x-coordinate.
    `pixY` - the y-coordinate.
  Returns:
    Returns the form factor for one hemicube pixel.

### getPixelsWide

    public static int getPixelsWide()

  Return the number of hemicube pixels.

  Returns:
    Return the number of hemicube pixels.

### getWorldWide

    public static float getWorldWide()

  Returns the hemicube size in world coordinates.

  Returns:
    Returns the hemicube size in world coordinates.

### init

    public static void init(int cubeWidth)

  Initializes the hemicube with the given cube width.

  Parameters:
    `cubeWidth` - the cube width.

### print

    public static void print()

  Prints out the hemicube delta form factor for debugging.

### setWorldWide

    public static void setWorldWide(float worldWide)

  Sets the hemicube size in world coordinates.

  Parameters:
    `worldWide` - the hemicube size to set.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD